


USE [Test_DB]
GO


CREATE TABLE [dbo].[Master](
	[Op] [int] NOT NULL,
	[Column2] [varchar](50) NOT NULL,
	[Column3] [datetime] NOT NULL,
 CONSTRAINT [PK_Master] PRIMARY KEY CLUSTERED 
(
	[Op] ASC
)
)

GO

CREATE TABLE [dbo].[Detail](
	[Op] [int] NOT NULL,
	[LineNum] [int] NOT NULL,
	[Column3] [varchar](50) NOT NULL,
	[Column4] [varchar](50) NOT NULL,
 CONSTRAINT [PK_Detail] PRIMARY KEY CLUSTERED 
(
	[Op] ASC,
	[LineNum] ASC
)
)

GO

ALTER TABLE [dbo].[Detail]  WITH CHECK ADD  CONSTRAINT [FK_Detail_Master] FOREIGN KEY([Op])
REFERENCES [dbo].[Master] ([Op])
GO

ALTER TABLE [dbo].[Detail] CHECK CONSTRAINT [FK_Detail_Master]
GO


